# Returning C Types

---

**All the primitive data types we learned previously in C are still available in **`std::arithmetic`** including:**

* \(signed\) char, unsigned char
* int, unsigned int
* short, unsigned short
* long, unsigned long
* float, double, long double
* void
* nullptr

**We also see the return of the user-defined data types:**

* structs
* unions \(will go over\)
* enum \(will go over\)

## **And the return of the dreaded **_**pointer**_

![](assets/C_Data_Users_DefApps_AppData_INTERNETEXPLORER_Temp_Saved_Images_You-shall-deal-with-it.jpg)

**.....along with some new features that help deal with pointers.**

---



